<!DOCTYPE html>

<html lang="en" data-content_root="../../../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sagace.auth.domain.authentication_repository &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/alabaster.css?v=27fed22d" />
    <script src="../../../../_static/documentation_options.js?v=cb975c41"></script>
    <script src="../../../../_static/doctools.js?v=9bcbadda"></script>
    <script src="../../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
   
  <link rel="stylesheet" href="../../../../_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>Source code for sagace.auth.domain.authentication_repository</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">--------------------------------------------------------------------------------------------------------------------</span>

<span class="sd">Descrição:</span>
<span class="sd">~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~</span>

<span class="sd">Este módulo implementa a autenticação de usuários no sistema SAGACE, utilizando um repositório de autenticação</span>
<span class="sd">para verificação das credenciais e armazenamento do token de acesso.</span>

<span class="sd">Principais funcionalidades:</span>

<span class="sd">- Autenticação de usuários por meio de credenciais.</span>
<span class="sd">- Armazenamento do token JWT retornado pela API.</span>
<span class="sd">- Interface para diferentes métodos de armazenamento de tokens.</span>

<span class="sd">Classes:</span>

<span class="sd">- ``AuthenticateUser``: Classe responsável por gerenciar a autenticação de usuários.</span>
<span class="sd">- ``AuthenticationRepository``: Interface abstrata para repositórios de autenticação.</span>

<span class="sd">Exemplo de uso:</span>

<span class="sd">.. code-block:: python</span>

<span class="sd">    from sagace.auth import AuthenticateUser</span>
<span class="sd">    from sagace.domain import AuthenticationRepository</span>
<span class="sd">    from sagace.core import TokenStorage</span>

<span class="sd">    repo = AuthenticationRepository()</span>
<span class="sd">    token_storage = TokenStorage()</span>
<span class="sd">    auth = AuthenticateUser(repo)</span>
<span class="sd">    token = auth.execute(&quot;https://api.sagace.online&quot;, &quot;usuario&quot;, &quot;senha&quot;, &quot;app_token&quot;, token_storage)</span>
<span class="sd">    print(token)</span>

<span class="sd">Autor:</span>
<span class="sd">    Diego Yosiura</span>

<span class="sd">Última Atualização:</span>
<span class="sd">    27/02/2025 15:31</span>

<span class="sd">Criado em:</span>
<span class="sd">    27/02/2025 15:31</span>

<span class="sd">Copyright:</span>
<span class="sd">    (c) Ampere Consultoria Ltda</span>

<span class="sd">Projeto Original:</span>
<span class="sd">    sagace-v2-package</span>

<span class="sd">IDE:</span>
<span class="sd">    PyCharm</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">from</span><span class="w"> </span><span class="nn">...core</span><span class="w"> </span><span class="kn">import</span> <span class="n">Token</span><span class="p">,</span> <span class="n">TokenStorage</span>
<span class="kn">from</span><span class="w"> </span><span class="nn">abc</span><span class="w"> </span><span class="kn">import</span> <span class="n">ABC</span><span class="p">,</span> <span class="n">abstractmethod</span>

<div class="viewcode-block" id="AuthenticationRepository">
<a class="viewcode-back" href="../../../../sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository">[docs]</a>
<span class="k">class</span><span class="w"> </span><span class="nc">AuthenticationRepository</span><span class="p">(</span><span class="n">ABC</span><span class="p">):</span>
<span class="w">    </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Interface abstrata para repositórios de autenticação.</span>

<span class="sd">    Esta interface define o contrato para qualquer classe que implemente um repositório</span>
<span class="sd">    de autenticação, garantindo a padronização do método de autenticação.</span>

<span class="sd">    Princípios aplicados:</span>

<span class="sd">    - **Dependency Inversion (D - SOLID)**: Depende de abstração para desacoplamento, garantindo flexibilidade</span>
<span class="sd">      na implementação sem afetar os consumidores dessa interface.</span>
<span class="sd">    &quot;&quot;&quot;</span>

<div class="viewcode-block" id="AuthenticationRepository.authenticate">
<a class="viewcode-back" href="../../../../sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository.authenticate">[docs]</a>
    <span class="nd">@abstractmethod</span>
    <span class="k">def</span><span class="w"> </span><span class="nf">authenticate</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">base_url</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">username</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">password</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">application_token</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span>
                     <span class="n">token_storage</span><span class="p">:</span> <span class="n">TokenStorage</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="n">Token</span><span class="p">:</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Autentica um usuário e retorna um token JWT.</span>

<span class="sd">        :param base_url: URL base da API de autenticação.</span>
<span class="sd">        :type base_url: str</span>
<span class="sd">        :param username: Nome de usuário para autenticação.</span>
<span class="sd">        :type username: str</span>
<span class="sd">        :param password: Senha do usuário.</span>
<span class="sd">        :type password: str</span>
<span class="sd">        :param application_token: Token da aplicação para autenticação.</span>
<span class="sd">        :type application_token: str</span>
<span class="sd">        :param token_storage: Objeto responsável por armazenar o token JWT.</span>
<span class="sd">        :type token_storage: TokenStorage</span>
<span class="sd">        :return: Token JWT retornado pela API.</span>
<span class="sd">        :rtype: Token</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="k">pass</span></div>
</div>

</pre></div>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../../../index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="../../../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../../../index.html">Documentation overview</a><ul>
  <li><a href="../../../index.html">Module code</a><ul>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>